Name:           spin
Version:        1.5
Release:        14%{?dist}
Summary:        A transparent threading solution for non-freezing Swing applications
License:        LGPLv2
Group:          Development/Tools
Url:            http://spin.sourceforge.net/
BuildArch:      noarch

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-all.zip
Patch0:         %{name}-pom_xml.patch

BuildRequires:  maven-local
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0

BuildRequires:  cglib
BuildRequires:  objectweb-asm

%description
Spin is a small library that concentrates on offering a powerful solution
to build non-freezing Swing applications. Spin enforces good application
design by separating the GUI and non-visual components through interfaces.
If it is used wisely in an application framework, the GUI programmers will
never have to think about threads again.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
Documentation for the spin Java library.

%prep
%setup -q
# Remove pre-build jar files
%{__rm} -rf lib
# Compile against the correct version of cglib
%patch0 -p1

%mvn_file : %{name}

%build
# One of the tests tries to access the X display
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc license.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 31 2013 Mat Booth <fedora@matbooth.co.uk> - 1.5-11
- Update for newer guidelines, rhbz #993375

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.5-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May  2 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-6
- Don't include external license file

* Tue Apr 10 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-5
- Remove pre-built jar files before building
- Don't clean buildroot before compiling
- Include most recent version of the LGPL

* Mon Apr  2 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-4
- Clean up pom.xml patch
- Remove dos2unix build requirement
- Ensure that it builds with Java 1.6.0+

* Mon Feb 13 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-3
- Remove defattr from files section
- Add license to javadoc subpackage

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-2
- Remove clean section, install unversioned javadocs
- Fix line endings in license file

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-1
- Initial package
